Bug 839742 - Review Request: perl-Rose-Object - Simple object base class
Review Request: perl-Rose-Object - Simple object base class
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839744 839751 839754
  Show dependency treegraph
 
Reported: 2012-07-12 13:34 EDT by Bill Pemberton
Modified: 2014-08-01 12:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 839744 (view as bug list)
Environment:
Last Closed: 2012-07-27 21:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Pemberton 2012-07-12 13:34:00 EDT
Spec URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords.spec
SRPM URL: http://wfp.fedorapeople.org/perl-SQL-ReservedWords-0.7-2.fc17.src.rpm

Description: 
Rose::Object is a generic object base class. It provides very little
functionality, but a healthy dose of convention.

Fedora Account System Username: wfp
Comment 1 Bill Pemberton 2012-07-12 13:38:47 EDT
Oops, cut and pasted URLs from another request, here are the correct ones.

Spec URL: http://wfp.fedorapeople.org/perl-Rose-Object.spec
SRPM URL: http://wfp.fedorapeople.org/perl-Rose-Object-0.859-3.fc17.src.rpm
Comment 3 Jitka Plesnikova 2012-07-17 10:33:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[!]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

TODO:
* Add BuildRequires
  perl(B) -- lib/Rose/Object/MakeMethods.pm:187
  perl(Carp)
  perl(Class::XSAccessor) -- lib/Rose/Object/MakeMethods/Generic.pm:20
  perl(lib) -- t/redefine.t:8
  perl(Test::Pod) >= 1.00 -- t/pod.t:7
* Add Requires
  perl(B)
  perl(Class::XSAccessor)

I have one question. Why you filter Rose::Class::MakeMethods from Requires?
%filter_from_requires /perl(Rose::Object::MakeMethods)/d

I think it is not needed.


The rest of spec file is ok.
Comment 4 Bill Pemberton 2012-07-17 12:03:19 EDT
Rose::Object::MakeMethods was originally filtered from requires because it would create a circular depandancy.  This was quite a few rpm versions ago (I've used essentially these same specs locally for years).  It appears not to cause a problem now, so I've removed it.

I'd like leave Class:XSAccessor out of the requires.  It's optional for Rose::Object and would prevent Rose::Object from being in epel6 since Class:XSAccessor is not in epel6.

Also, could you tell me how you are generating the missing requires?  I'd like to know so I can catch these ahead of time.

Spec URL: http://wfp.fedorapeople.org/perl-Rose-Object.spec
SRPM URL: http://wfp.fedorapeople.org/perl-Rose-Object-0.859-5.fc17.src.rpm
Comment 5 Jitka Plesnikova 2012-07-18 03:54:56 EDT
Changes are ok. 
Package is APPROVED.

For finding the requirement, I am going though the content of the source tarball. 
I am looking for modules which are loaded by 'use' or 'require' for tests and lib|scripts|...
I add only the modules which could be packed separately (e.g. lib, Test::More).

The modules which are needed only for tests, I add only to BR. 
If some module can be loaded due to any condition I also don't add it.
Comment 6 Bill Pemberton 2012-07-18 08:32:51 EDT
New Package SCM Request
=======================
Package Name: perl-Rose-Object
Short Description: Simple object base class
Owners: wfp
Branches: f16 f17 el6
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2012-07-19 08:33:18 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-19 09:24:41 EDT
perl-Rose-Object-0.859-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Rose-Object-0.859-5.fc17
Comment 9 Fedora Update System 2012-07-19 10:48:30 EDT
perl-Rose-Object-0.859-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Rose-Object-0.859-5.el6
Comment 10 Fedora Update System 2012-07-19 11:39:20 EDT
perl-Rose-Object-0.859-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Rose-Object-0.859-5.fc16
Comment 11 Fedora Update System 2012-07-19 18:37:49 EDT
perl-Rose-Object-0.859-5.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Jitka Plesnikova 2012-07-23 06:03:29 EDT
It seems that you forget to build perl-Rose-Object for rawhide (Fedora 18). 
I can't continue the rest of your reviews (perl-Rose-DateTime, ...) without it.
Comment 13 Bill Pemberton 2012-07-23 08:50:25 EDT
Sorry about that, it should be there now.
Comment 14 Fedora Update System 2012-07-27 21:16:45 EDT
perl-Rose-Object-0.859-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-07-27 21:20:51 EDT
perl-Rose-Object-0.859-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-08-05 02:40:22 EDT
perl-Rose-Object-0.859-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Bill Pemberton 2014-07-31 15:38:45 EDT
Package Change Request
=======================
Package Name: perl-Rose-Object
Short Description: Simple object base class
Owners: wfp
Branches: el7
Comment 18 Gwyn Ciesla 2014-08-01 12:07:07 EDT
Git done (by process-git-requests).

Please use epel7, not el7 in the future.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.